// FeatureEditDlg.cpp : implementation file
//

#include "stdafx.h"
#include "tctb.h"
#include "FeatureEditDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFeatureEditDlg dialog


CFeatureEditDlg::CFeatureEditDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFeatureEditDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFeatureEditDlg)
	m_NameEdit = _T("");
	//}}AFX_DATA_INIT
}


void CFeatureEditDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFeatureEditDlg)
	DDX_Text(pDX, IDC_NAMEEDIT, m_NameEdit);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFeatureEditDlg, CDialog)
	//{{AFX_MSG_MAP(CFeatureEditDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFeatureEditDlg message handlers

void CFeatureEditDlg::SetData(Feature &fet)
{
m_NameEdit=fet.GetName();
}

void CFeatureEditDlg::GetData(Feature *fet)
{
//UpdateData(TRUE);
fet->SetName(m_NameEdit);
}
